Package org.snpeff.interval.tree

# Class IntervalNode

java.lang.Object
org.snpeff.interval.tree.IntervalNode

All Implemented Interfaces:
  `Serializable`

public class IntervalNode extends Object implements Serializable
Node for interval tree structure

Author:
  pcingola
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`protected int`
`center`
`protected Marker[]`
`intervalsCenter`
`protected IntervalNode`
`leftNode`
`protected IntervalNode`
`rightNode`

## Constructor Summary

Constructors
Constructor
Description
`IntervalNode()`
`IntervalNode(Markers markers)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`build(Markers markers)`
Build interval tree
`Integer`
`getCenter()`
`IntervalNode`
`getLeft()`
`IntervalNode`
`getRight()`
`protected IntervalNode`
`newNode(Markers markers)`
Create a new node
`Markers`
`query(Interval queryInterval)`
Perform an interval intersection query on the node
`Markers`
`stab(Integer point)`
Perform a stabbing query on the node
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### center

protected int center

### leftNode

protected IntervalNode leftNode

### rightNode

protected IntervalNode rightNode

### intervalsCenter

protected Marker[] intervalsCenter

## Constructor Details

### IntervalNode

public IntervalNode()

### IntervalNode

public IntervalNode(Markers markers)

## Method Details

### build

protected void build(Markers markers)
Build interval tree

### getCenter

public Integer getCenter()

### getLeft

public IntervalNode getLeft()

### getRight

public IntervalNode getRight()

### newNode

protected IntervalNode newNode(Markers markers)
Create a new node

### query

public Markers query(Interval queryInterval)
Perform an interval intersection query on the node

Parameters:
  `queryMarker` - : The interval to intersect
Returns:
  All intervals containing 'target'

### stab

public Markers stab(Integer point)
Perform a stabbing query on the node

Parameters:
  `point` - the time to query at
Returns:
  All intervals containing time

### toString

public String toString()

Overrides:
  `toString` in class `Object`